summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xbin/dodir5
1 files changed, 5 insertions, 0 deletions
diff --git a/bin/dodir b/bin/dodir
index 88b201ad7..ced7ff70f 100755
--- a/bin/dodir
+++ b/bin/dodir
@@ -3,6 +3,11 @@
# Distributed under the terms of the GNU General Public License v2
# $Id: /var/cvsroot/gentoo-src/portage/bin/dodir,v 1.5 2004/10/04 13:56:50 vapier Exp $
+ret=0
+
for x in "$@" ; do
install -d ${DIROPTIONS} "${D}${x}"
+ ((ret+=$?))
done
+
+exit ${ret}